## node-stylus 0.54.8

=== Makefile ===

SRC = $(shell find lib -name "*.js")
TM_BUNDLE = editors/Stylus.tmbundle

define DETERMINE_TEXTMATE_BUNDLE_PATH
cd /tmp && \
	cp /Applications/TextMate.app/Contents/Info.plist /tmp/textmate-info.plist && \
	plutil -convert json -r /tmp/textmate-info.plist && \
	(test `node -e " \
		var json = $$(cat /tmp/textmate-info.plist | tr "\n" " "); \
		console.log(json['CFBundleShortVersionString'][0]); \
		"` -gt 1) && \
			echo ~/Library/Application\ Support/TextMate/Managed/Bundles || \
			echo ~/Library/Application\ Support/TextMate/Bundles
endef

TM_BUNDLE_DEST = $(shell $(DETERMINE_TEXTMATE_BUNDLE_PATH))

test:
	@npm test

test-cov: lib-cov
	@STYLUS_COV=1 npm run-script test-cov

lib-cov: lib
	./node_modules/.bin/jscoverage $< $@

install-bundle:
	mkdir -p "$(TM_BUNDLE_DEST)"
	cp -fr "$(TM_BUNDLE)" "$(TM_BUNDLE_DEST)"

update-bundle:
	cp -fr "$(TM_BUNDLE_DEST)"/Stylus.tmbundle editors

benchmark:
	@node bm.js

.PHONY: test install-bundle update-bundle benchmark test-cov

## node-stylus 0.48.1+dfsg

=== debian/changelog ===
node-stylus (0.48.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #753260)

 -- Andrew Kelley <superjoe30@gmail.com>  Sun, 14 Sep 2014 23:58:47 +0200

=== debian/control ===
Source: node-stylus
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Andrew Kelley <superjoe30@gmail.com>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , mocha
 , node-should
 , node-sax
 , node-glob
 , node-css-parse
 , node-mkdirp
 , node-source-map
 , nodejs
 , help2man
Standards-Version: 3.9.5
Homepage: https://github.com/LearnBoost/stylus
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-stylus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-stylus.git
XS-Testsuite: autopkgtest

Package: node-stylus
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-debug
 , node-glob (>= 3.2.0)
 , node-css-parse (>= 1.7.0)
 , node-sax (>= 0.5.0)
 , node-mkdirp (>= 0.3.0)
 , node-source-map (>= 0.1.0)
Description: Robust, expressive, and feature-rich CSS superset - Node.js module
 Stylus is a language which provides an efficient, dynamic, and expressive way
 to generate CSS. It supports both an indented syntax and regular CSS style.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'stylus'"'"');"
Depends: @

=== debian/watch ===
version=3
opts=\
uversionmangle=s/$/+dfsg/,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-stylus-$1.tar.gz/ \
 https://github.com/LearnBoost/stylus/tags .*/archive/v?([\d\.]+).tar.gz

## node-stylus 0.54.5

=== debian/changelog ===
node-stylus (0.54.5-1ubuntu1) bionic; urgency=medium

  * Fix quoting for autopkgtest >= 5.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Mar 2018 14:52:44 +0000

node-stylus (0.54.5-1) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Imported Upstream version 0.54.5.
  * Drop patches applied upstream.
  * Update copyright.
  * d/copyright: remove Files-Excluded: allegedly everything is DFSG-ok now.
  * d/watch: use dversionmangle instead of uversionmangle to remove +dfsg from
    the version line.
  * Drop obsolete field XS-Testsuite.
  * Use debhelper compat level 9.
  * Use HTTPS in Vcs-*.
  * Update the upstream URL to the new location.

  [ James Clarke ]
  * Use node-css instead of node-css-parse.  Closes: #804509
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 23 May 2016 10:26:40 +0000

=== debian/control ===
Source: node-stylus
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Andrew Kelley <superjoe30@gmail.com>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , mocha
 , node-should
 , node-sax (>= 0.5.0)
 , node-glob  (>= 3.2.0)
 , node-css (>= 2.0.0)
 , node-mkdirp (>= 0.3.0)
 , node-source-map (>= 0.1.0)
 , nodejs
 , help2man
Standards-Version: 3.9.8
Homepage: https://github.com/stylus/stylus
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-stylus.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-stylus.git

Package: node-stylus
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-debug
 , node-glob (>= 3.2.0)
 , node-css (>= 2.0.0)
 , node-sax (>= 0.5.0)
 , node-mkdirp (>= 0.3.0)
 , node-source-map (>= 0.1.0)
Description: Robust, expressive, and feature-rich CSS superset - Node.js module
 Stylus is a language which provides an efficient, dynamic, and expressive way
 to generate CSS. It supports both an indented syntax and regular CSS style.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	mocha test/ test/middleware/ --require should --bail --reporter dot

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

override_dh_auto_build:
	debian/rules debian/stylus.1

debian/stylus.1:
	help2man --no-discard-stderr -N -n "Expressive, robust, feature-rich CSS language compiler" bin/stylus -o "$@"

=== debian/tests/control ===
Test-Command: nodejs -e "require('stylus');"
Depends: @

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg\d*$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-stylus-$1.tar.gz/ \
 https://github.com/stylus/stylus/tags .*/archive/v?([\d\.]+).tar.gz

## node-stylus 0.54.7

=== debian/changelog ===
node-stylus (0.54.7-1) unstable; urgency=medium

  * Declare compliance with policy 4.4.1
  * New upstream version 0.54.7
  * Refresh patchs
  * Drop unneeded version constraints from (build) dependencies
  * Embed components: safer-buffer
  * Add node-debug and node-semver in dependencies
  * Fix node path in patch
  * Replace Andrew Kelley by myself in uploaders (Closes: #909879)

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Oct 2019 21:31:14 +0200

node-stylus (0.54.5-3) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Remove debian/examples
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Sat, 03 Aug 2019 15:44:09 +0200

node-stylus (0.54.5-2) unstable; urgency=medium

  * Team upload
  * Switch to autopkgtest-pkg-nodejs (Closes: #894954)
  * Update Vcs-* fields for move to salsa
  * Switch to Section: javascript, Priority: optional
  * Use secure copyright format URI
  * Bump Standards-Version to 4.3.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 May 2019 13:38:08 +0000

=== debian/control ===
Source: node-stylus
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , mocha
 , node-css
 , node-debug (>= 3.1.0)
 , node-glob
 , node-mkdirp
 , node-sax
 , node-semver
 , node-should
 , node-source-map
 , nodejs
 , help2man
 , pkg-js-tools (>= 0.8.8)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-stylus
Vcs-Git: https://salsa.debian.org/js-team/node-stylus.git
Homepage: https://github.com/stylus/stylus
Rules-Requires-Root: no

Package: node-stylus
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-css
 , node-debug (>= 3.1.0)
 , node-glob
 , node-mkdirp
 , node-sax
 , node-semver
 , node-source-map
Description: Robust, expressive, and feature-rich CSS superset - Node.js module
 Stylus is a language which provides an efficient, dynamic, and expressive way
 to generate CSS. It supports both an indented syntax and regular CSS style.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
-
-override_dh_auto_test:
-	mocha test/ test/middleware/ --require should --bail --reporter dot
+	dh $@ --with nodejs
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k History.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg\d*$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-stylus-$1.tar.gz/ \
 https://github.com/stylus/stylus/tags .*/archive/v?([\d\.]+).tar.gz

opts=\
component=safer-buffer,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safer-buffer-$1.tar.gz/ \
 https://github.com/ChALkeR/safer-buffer/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-stylus 0.54.8

=== debian/changelog ===
node-stylus (0.54.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Replace embedded safer-buffer by a dependency to
    node-safe-buffer ≥ 5.2.1+~cs2.1.2
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Use dh-sequence-nodejs
  * New upstream version 0.54.8
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 13:52:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , mocha
- , node-css
- , node-debug (>= 3.1.0)
- , node-glob
- , node-mkdirp
- , node-sax
- , node-semver
- , node-should
- , node-source-map
- , nodejs
+ debhelper-compat (= 13)
+ , mocha <!nocheck>
+ , node-css <!nocheck>
+ , node-debug (>= 3.1.0) <!nocheck>
+ , node-glob <!nocheck>
+ , node-mkdirp <!nocheck>
+ , node-sax <!nocheck>
+ , node-safe-buffer (>= 5.2.1+~cs2.1.2) <!nocheck>
+ , node-semver <!nocheck>
+ , node-should <!nocheck>
+ , node-source-map <!nocheck>
  , help2man
- , pkg-js-tools (>= 0.8.8)
-Standards-Version: 4.4.1
+ , dh-sequence-nodejs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-stylus
 Vcs-Git: https://salsa.debian.org/js-team/node-stylus.git
 Homepage: https://github.com/stylus/stylus
@@ -33,6 +33,7 @@
  , node-debug (>= 3.1.0)
  , node-glob
  , node-mkdirp
+ , node-safe-buffer (>= 5.2.1+~cs2.1.2)
  , node-sax
  , node-semver
  , node-source-map

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k History.md

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-stylus-$1.tar.gz/ \
 https://github.com/stylus/stylus/tags .*/archive/v?([\d\.]+).tar.gz

## node-stylus 0.55.0

=== debian/changelog ===
node-stylus (0.55.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Update nodejs dependency: nodejs:any
  * New upstream version 0.55.0
  * Refresh patches
  * Test dependencies: replace should by chai

 -- Yadd <yadd@debian.org>  Sun, 07 Nov 2021 19:06:06 +0100

=== debian/control ===
Source: node-stylus
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-css <!nocheck>
 , node-debug <!nocheck>
 , node-glob <!nocheck>
 , node-mkdirp <!nocheck>
 , node-sax <!nocheck>
 , node-safe-buffer (>= 5.2.1+~cs2.1.2) <!nocheck>
 , node-semver <!nocheck>
 , node-source-map <!nocheck>
 , help2man
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-stylus
Vcs-Git: https://salsa.debian.org/js-team/node-stylus.git
Homepage: https://github.com/stylus/stylus
Rules-Requires-Root: no

Package: node-stylus
Architecture: all
Depends:
 ${misc:Depends}
 , node-css
 , node-debug
 , node-glob
 , node-mkdirp
 , node-safe-buffer (>= 5.2.1+~cs2.1.2)
 , node-sax
 , node-semver
 , node-source-map
 , nodejs:any
Description: Robust, expressive, and feature-rich CSS superset - Node.js module
 Stylus is a language which provides an efficient, dynamic, and expressive way
 to generate CSS. It supports both an indented syntax and regular CSS style.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-stylus-$1/ \
 https://github.com/stylus/stylus/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-stylus 0.59.0+~0.48.38

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,6 @@
 test:
 	@npm test
 
-test-cov: lib-cov
-	@STYLUS_COV=1 npm run-script test-cov
-
-lib-cov: lib
-	./node_modules/.bin/jscoverage $< $@
-
 install-bundle:
 	mkdir -p "$(TM_BUNDLE_DEST)"
 	cp -fr "$(TM_BUNDLE)" "$(TM_BUNDLE_DEST)"
@@ -35,4 +29,4 @@
 benchmark:
 	@node bm.js
 
-.PHONY: test install-bundle update-bundle benchmark test-cov
+.PHONY: test install-bundle update-bundle benchmark

=== debian/changelog ===
node-stylus (0.59.0+~0.48.38-2) unstable; urgency=medium

  * Drop __proto__ calls

 -- Yadd <yadd@debian.org>  Thu, 01 Dec 2022 15:21:25 +0100

node-stylus (0.59.0+~0.48.38-1) unstable; urgency=medium

  * Update standards version to 4.6.1, no changes needed
  * New upstream version 0.59.0+~0.48.38
  * Add patch to use node-css instead of @adobe/css-tools

 -- Yadd <yadd@debian.org>  Mon, 05 Sep 2022 17:43:15 +0200

node-stylus (0.57.0+~0.48.36-1) unstable; urgency=medium

  * Set upstream metadata fields: Security-Contact.
  * Embed typescript declarations
  * New upstream version 0.57.0+~0.48.36
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 03 Mar 2022 21:48:05 +0100

=== debian/control ===
Source: node-stylus
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: chai <!nocheck>
 , debhelper-compat (= 13)
 , dh-sequence-nodejs
 , help2man
 , mocha <!nocheck>
 , node-css <!nocheck>
 , node-debug <!nocheck>
 , node-glob <!nocheck>
 , node-mkdirp <!nocheck>
 , node-safe-buffer (>= 5.2.1+~cs2.1.2) <!nocheck>
 , node-sax <!nocheck>
 , node-semver <!nocheck>
 , node-source-map <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-stylus
Vcs-Git: https://salsa.debian.org/js-team/node-stylus.git
Homepage: https://github.com/stylus/stylus
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-stylus
Architecture: all
Depends: ${misc:Depends}
 , node-css
 , node-debug
 , node-glob
 , node-mkdirp
 , node-safe-buffer (>= 5.2.1+~cs2.1.2)
 , node-sax
 , node-semver
 , node-source-map
 , nodejs:any
Provides: ${nodejs:Provides}
Description: Robust, expressive, and feature-rich CSS superset - Node.js module
 Stylus is a language which provides an efficient, dynamic, and expressive way
 to generate CSS. It supports both an indented syntax and regular CSS style.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-stylus-$1/ \
 https://github.com/stylus/stylus/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-stylus,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-stylus-$1/" \
 https://registry.npmjs.org/@types/stylus https://registry.npmjs.org/@types/stylus/-/stylus-([\d\.]+)@ARCHIVE_EXT@ group
